Skip to main content
GET
List messages

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

mailboxUuid
string<uuid>

Only return messages sent from this mailbox.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
statuses
enum<string>[]

Match pending or error on the message, or the kind of its latest event. Selecting both groups ORs them.

Available options:
pending,
error,
sent,
opened,
clicked,
replied,
bounced,
unsubscribed
createdAfter
string<date-time>

Include messages created at or after this ISO timestamp.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
createdBefore
string<date-time>

Include messages created at or before this ISO timestamp.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$

Case-insensitive match on recipient address or subject.

Minimum string length: 1
threadUuid
string<uuid>

Only return outbound sends in this conversation.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
limit
integer
default:50

Maximum number of messages to return.

Required range: x <= 200
offset
integer
default:0

Number of messages to skip.

Required range: 0 <= x <= 9007199254740991

Response

Successful response

count
integer
required

Total number of messages matching the filters.

Required range: 0 <= x <= 9007199254740991
messages
Messages · object[]
required

Page of sent-mail log rows, newest first.